summaryrefslogtreecommitdiff
path: root/nonsystemd/openrc-desktop/acpid.initd
diff options
context:
space:
mode:
authorDavid P <megver83@parabola.nu>2020-01-13 00:05:24 -0300
committerDavid P <megver83@parabola.nu>2020-01-13 00:05:24 -0300
commit9f3dc87f7a01ea8e0d047edeee6d84911a7378c1 (patch)
tree6c00fe1f50adac100818036a133d516fc28b14da /nonsystemd/openrc-desktop/acpid.initd
parentc10693a7a3ac299e6ff1908205f958ea714ed333 (diff)
downloadabslibre-9f3dc87f7a01ea8e0d047edeee6d84911a7378c1.tar.gz
abslibre-9f3dc87f7a01ea8e0d047edeee6d84911a7378c1.tar.bz2
abslibre-9f3dc87f7a01ea8e0d047edeee6d84911a7378c1.zip
addpkg: nonsystemd/openrc-desktop 20200112-1
Signed-off-by: David P <megver83@parabola.nu>
Diffstat (limited to 'nonsystemd/openrc-desktop/acpid.initd')
-rw-r--r--nonsystemd/openrc-desktop/acpid.initd19
1 files changed, 19 insertions, 0 deletions
diff --git a/nonsystemd/openrc-desktop/acpid.initd b/nonsystemd/openrc-desktop/acpid.initd
new file mode 100644
index 000000000..f8076d43b
--- /dev/null
+++ b/nonsystemd/openrc-desktop/acpid.initd
@@ -0,0 +1,19 @@
+#!/sbin/openrc-run
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+extra_started_commands="reload"
+command="/usr/sbin/acpid"
+command_args="${ACPID_ARGS}"
+description="Daemon for Advanced Configuration and Power Interface"
+
+depend() {
+ need localmount
+ use logger
+}
+
+reload() {
+ ebegin "Reloading acpid configuration"
+ start-stop-daemon --exec $command --signal HUP
+ eend $?
+}